Update a Break

Endpoint: PUT /breaks/{{break_id}}

Description: Update a time break.

Request Body:

ParameterTypeDescription
start
optional
datetimeStart time of the timesheet in ISO 8601 format: YYYY-MM-DDTHH:MM:SS±HH:MM.
end
optional
datetimeEnd time of the timesheet in ISO 8601 format: YYYY-MM-DDTHH:MM:SS±HH:MM

Request Body Sample:

{
  "start": "2024-10-31T10:10:48-08:00",
  "end": "2024-10-31T11:09:48-08:00"
}

Response:

{
    "items": {
        "id": 123621,
        "start": "2024-10-31T10:10:48-08:00",
        "end": "2024-10-31T11:09:48-08:00",
        "break_rule_id": 1,
        "timesheet_id": 3017841,
        "duration": 3540,
        "created_at": "2024-12-02T15:32:02",
        "updated_at": "2024-12-02T15:32:12"
    },
    "message": "Break updated successfully."
}

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required
Body Params
Headers
string
Response

Language
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json